Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
   Bogen-stich

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Bogen-stich (2451 mal gelesen)
dabie
Mitglied



Sehen Sie sich das Profil von dabie an!   Senden Sie eine Private Message an dabie  Schreiben Sie einen Gästebucheintrag für dabie

Beiträge: 19
Registriert: 26.05.2004

AutoCad 2012

erstellt am: 15. Mai. 2012 11:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo!
Ich arbeite sehr viel mit Bögen. Das Problem ist meistens Bogen-Stich berechnen.
Die mathematische Formel habe ich erstellt, aber die Berechnung dauert ziemlich lange.
Hat vielleicht jemand ein kleines Lisp Programm?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 15. Mai. 2012 11:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für dabie 10 Unities + Antwort hilfreich

Ich hab ne Menge Lispprogramme  , aber außer Googlekenntnissen keine von Bogenstich ect. ... wie wärs mit Weitergabe deiner Infos ( Formel, was du schon hast, Skizze )

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dabie
Mitglied



Sehen Sie sich das Profil von dabie an!   Senden Sie eine Private Message an dabie  Schreiben Sie einen Gästebucheintrag für dabie

Beiträge: 19
Registriert: 26.05.2004

AutoCad 2012

erstellt am: 15. Mai. 2012 11:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Bogen-Stich.pdf

 
Hallo,
im Anhang ein PDF Bild.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 15. Mai. 2012 11:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für dabie 10 Unities + Antwort hilfreich

na ok .. quick&dirty

(defun C:BOGENSTICH(/ OBJ SP EP MP P1 P2)
  (vl-load-com)
  (if(and(setq OBJ(car(entsel "\nBogen wählen:")))
        (setq OBJ(vlax-ename->vla-object OBJ))
        (or(=(strcase(vla-get-objectname OBJ))"ACDBARC")
            (prompt "\nKein Bogen gewählt..")
        )
    )
    (progn
      (setq SP(vlax-curve-getstartparam OBJ))
      (setq EP(vlax-curve-getendparam  OBJ))
      (setq MP(+ SP(*(- EP SP)0.5)))
      (setq P1(vlax-curve-getpointatparam OBJ MP))
      (setq P2(mapcar '*
                      (mapcar '+(vlax-curve-getpointatparam OBJ SP)
                                (vlax-curve-getpointatparam OBJ EP)
                      )
                      '(0.5 0.5 0.5)
              )
      )
      (grdraw (trans(vlax-curve-getpointatparam OBJ SP) 0 1)
              (trans (vlax-curve-getpointatparam OBJ EP) 0 1)
              1 1
      )
      (grdraw (trans P1 0 1)(trans P2 0 1) 1 1)
      (princ (strcat "Bogenstich : "(rtos(distance P1 P2)2 5)))
      (princ)
    )
  )
)

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dabie
Mitglied



Sehen Sie sich das Profil von dabie an!   Senden Sie eine Private Message an dabie  Schreiben Sie einen Gästebucheintrag für dabie

Beiträge: 19
Registriert: 26.05.2004

AutoCad 2012

erstellt am: 15. Mai. 2012 12:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Super, vielen Dank!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

oscarr
Mitglied
CAD-Manager


Sehen Sie sich das Profil von oscarr an!   Senden Sie eine Private Message an oscarr  Schreiben Sie einen Gästebucheintrag für oscarr

Beiträge: 198
Registriert: 02.10.2007

ACA 2012 - English Win 7/x64

erstellt am: 15. Mai. 2012 12:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für dabie 10 Unities + Antwort hilfreich

Hm, wofür braucht man das?
Der Stich ist doch mit drei Klicks gezeichnet?

LG
Holger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz